package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 能源设备对象 adm_ems_device
 * 
 * @author ruoyi
 * @date 2024-07-10
 */
public class EmsDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 设备代码 */
    @Excel(name = "设备代码")
    private String deviceCode;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 设备类型 */
    private Long deviceType;

    /** 设备类型名称 */
    @Excel(name = "设备类型")
    private String deviceTypeName;

    /** 设备状态 */
    @Excel(name = "设备状态")
    private Long deviceStatus;

    /** 区域类型 */
    private String areaType;

    /** 归属区域代码 */
    private String refArea;

    /** 归属区域名称 */
    @Excel(name = "归属区域")
    private String refAreaName;

    /** 归属设施代码 */
    private String refFacs;

    /** 归属子系统代码 */
    private String subsystemCode;

    /** 归属子系统名称 */
    @Excel(name = "子系统")
    private String subsystemName;

    /** 归属设施名称 */
    @Excel(name = "归属设施")
    private String refFacsName;

    /** 归属区域路径 */
    private String areaPath;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public Long getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Long deviceType) {
        this.deviceType = deviceType;
    }

    public String getDeviceTypeName() {
        return deviceTypeName;
    }

    public void setDeviceTypeName(String deviceTypeName) {
        this.deviceTypeName = deviceTypeName;
    }

    public Long getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(Long deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getAreaType() {
        return areaType;
    }

    public void setAreaType(String areaType) {
        this.areaType = areaType;
    }

    public String getRefArea() {
        return refArea;
    }

    public void setRefArea(String refArea) {
        this.refArea = refArea;
    }

    public String getRefAreaName() {
        return refAreaName;
    }

    public void setRefAreaName(String refAreaName) {
        this.refAreaName = refAreaName;
    }

    public String getRefFacs() {
        return refFacs;
    }

    public void setRefFacs(String refFacs) {
        this.refFacs = refFacs;
    }

    public String getSubsystemCode() {
        return subsystemCode;
    }

    public void setSubsystemCode(String subsystemCode) {
        this.subsystemCode = subsystemCode;
    }

    public String getSubsystemName() {
        return subsystemName;
    }

    public void setSubsystemName(String subsystemName) {
        this.subsystemName = subsystemName;
    }

    public String getRefFacsName() {
        return refFacsName;
    }

    public void setRefFacsName(String refFacsName) {
        this.refFacsName = refFacsName;
    }

    public String getAreaPath() {
        return areaPath;
    }

    public void setAreaPath(String areaPath) {
        this.areaPath = areaPath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceCode", getDeviceCode())
            .append("deviceName", getDeviceName())
            .append("deviceType", getDeviceType())
            .append("deviceTypeName", getDeviceTypeName())
            .append("deviceStatus", getDeviceStatus())
            .append("areaType", getAreaType())
            .append("refArea", getRefArea())
            .append("refAreaName", getRefAreaName())
            .append("refFacs", getRefFacs())
            .append("refFacsName", getRefFacsName())
            .append("subsystemCode", getSubsystemCode())
            .append("subsystemName", getSubsystemName())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
